<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/SystemArticle.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MyProfileParametersPane.inc.php" );

	require_once( $GLOBALS["site_root"] . "/includes/models/MyMember.inc.php" );
	
	class MyProfileParametersPage extends DefaultFrontend {
		protected $oMyProfileParametersPane;

		public function __construct( $id = "MyProfileParametersPage" , $parent = null , $pagetype = "my_profile"  ) {
			parent::__construct( $id , $parent , $pagetype );
			$mmm = new MyMemberModel();
			if ($mmm->isMemberLoggedin()) {
				$this->oMyProfileParametersPane = new MyProfileParametersPane( "content_widget" , $this );
			} else {
				$this->oMyProfileParametersPane = new SystemArticle( "content_widget" , $this , "sys_error_user_has_to_login" );
			}
		}
	}
?>
